Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83707 - Give notice when signals are blocked.
Summary: Give notice when signals are blocked.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 10:57 UTC by David Balažic
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-08 15:38:52 UTC


Attachments (Terms of Use)

Description David Balažic 2003-02-07 10:57:13 UTC
Due to to people kill-9'ing rpm when it waits with signals blocked ( see for 
example bug #73097 ), I suggest using a signal handler that prints a notice and 
continues, so people would not use kill -9 right away.

Something like "rpm is currently busy doing this-and-this, please wait a monent"
or whatever is more informative.

Comment 1 Jeff Johnson 2003-02-07 20:29:34 UTC
Nobody wants to know when signals are blocked. What is
desired is functionality, not ever more obscure and
arcane messages.

Comment 2 David Balažic 2003-02-08 09:26:30 UTC
I think you misunderstood me.
The message should not be printed alwys, but only if a blocked signal is 
received.

Example, current behavior :
 - rpm is running, signals are blocked, no appareng disc activity
 - user : "hmm, weird, I'll stop it."
 - user press ctrl-c
 - user : "Uh, nothing happened. It is hung. I'll kill -9 it."

Example, proposed behavior :
 - rpm is running, signals are blocked, no appareng disc activity
 - user : "hmm, weird, I'll stop it."
 - user press ctrl-c
 - rpm : "Hey! I'm busy doing stuff"
 - user : "Oh, in that case I'll wait a bit longer"


Comment 3 Jeff Johnson 2003-02-08 15:38:52 UTC
The signal handlers are localed in rpmlib which is
used in graphical contexts where there is no guarantee
that output is possible, let alone desireable.


Note You need to log in before you can comment on or make changes to this bug.